#486 texstudio 2.3 didn't start

None
closed
nobody
texmakerx (237)
7
2014-08-11
2012-02-20
Anonymous
No

i am using Mac OS X 10.7.3
but texmaker 2.3 crashes on startup (whereas texmaker 2.2 svn works fine)
the following messages are beeing logged:

20.02.12 16:56:12,361 [0x0-0x39039].texstudio: dyld: Library not loaded: /opt/local/lib/libfreetype.6.dylib
20.02.12 16:56:12,361 [0x0-0x39039].texstudio: Referenced from: /Applications/texstudio.app/Contents/MacOS/../Frameworks/libpoppler.19.dylib
20.02.12 16:56:12,361 [0x0-0x39039].texstudio: Reason: image not found
20.02.12 16:56:13,504 com.apple.launchd.peruser.501: ([0x0-0x39039].texstudio[555]) Job appears to have crashed: Trace/BPT trap: 5

is there a way to add the misssing lib to texstudio?

Discussion

  • Guillaume
    Guillaume
    2012-02-20

    You can find this library for example, here:
    /opt/local/lib/libfreetype.6.dylib
    or in TXS 2.2, here:
    ~/Applications/texstudio.app/Contents/Frameworks/libfreetype.6.dylib

    Otherwise, to find this library in your mac you can run this command in a terminal:
    sudo find /. -name "libfreetype*.dylib".

     
  • can you provide us with a working texstudio.app ?

     

  • Anonymous
    2012-02-21

    hello astroscion,

    on my Mac there is no /opt Folder at all. So i created one with "sudo mkdir -p /opt/local/lib" and copied "libfreetype.6.dylib" from working texstudio 2.2 to it, so i now have:
    ls -l /opt/local/lib/
    total 6088
    -rwxr-xr-x 1 root wheel 3116224 21 Feb 15:50 libfreetype.6.dylib

    but texstudio crashes with other message saying the library is "too old":
    21.02.12 16:00:22,212 [0x0-0x33033].texstudio: dyld: Library not loaded: /opt/local/lib/libfreetype.6.dylib
    21.02.12 16:00:22,212 [0x0-0x33033].texstudio: Referenced from: /Applications/TeX/texstudio.app/Contents/MacOS/../Frameworks/libpoppler.19.dylib
    21.02.12 16:00:22,212 [0x0-0x33033].texstudio: Reason: Incompatible library version: libpoppler.19.dylib requires version 15.0.0 or later, but libfreetype.6.dylib provides version 13.0.0
    21.02.12 16:00:22,464 com.apple.launchd.peruser.501: ([0x0-0x33033].texstudio[465]) Job appears to have crashed: Trace/BPT trap: 5

    furthermore i found other "libfreetype.6.dylib" with the command you mentioned files on my drive in /usr/X11/lib.
    I tried them, but unfortunately they are all too old :( can you please provide one?

     

  • Anonymous
    2012-02-21

    the new release "texstudio2.3_osx10.5.zip" works on OS X Lion.
    the older one "texstudio-2.3_osx.zip" still didn't start.

     
  • i am still hoping that my coleague (or any one else) will provide me with a working app.
    up to then, the texstudio2.3_osx105.zip is probably a sufficient substitue.

     
  • Now there is a mac version (texstudio-2.3_osx10.7.zip), right?

     
  • solved

     
    • status: pending --> closed
    • milestone: -->